Skip to main content
`Ctrl`+`K`

# EPSSetOperators

Sets the matrices associated with the eigenvalue problem.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSSetOperators(EPS eps,Mat A,Mat B)

Collective

## Input Parameters

- eps - the linear eigensolver context

- A - the matrix associated with the eigensystem

- B - the second matrix in the case of generalized eigenproblems

## Notes

To specify a standard eigenproblem, use `NULL` for parameter `B`.

It must be called before `EPSSetUp()`. If it is called again after `EPSSetUp()` and the matrix sizes have changed then the `EPS` object is reset.

For structured eigenproblem types such as `EPS_BSE` (see `EPSSetProblemType()`), the provided matrices must have been created with the corresponding helper function, i.e., `MatCreateBSE()`.

## See Also

EPS: Eigenvalue Problem Solver, `EPSSolve()`, `EPSSetUp()`, `EPSReset()`, `EPSSetProblemType()`

## Level

beginner

## Location

src/eps/interface/epssetup.c

## Examples

src/eps/tutorials/ex2.c
src/eps/tutorials/ex46.c
src/eps/tutorials/ex24.c
src/eps/tutorials/ex29.c
src/eps/tutorials/ex18.c
src/eps/tutorials/ex41.c
src/eps/tutorials/ex1.c
src/eps/tutorials/ex12.c
src/eps/tutorials/ex56.c
src/eps/tutorials/ex5.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages